<div>
    <h2 id="page-heading">
        <span>Crear Eventos</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-crear-evento" [routerLink]="['/crear-evento/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Crear un nuevo Evento
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="crearEventos?.length === 0">
        <span>No crearEventos found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="crearEventos && crearEventos.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="reset.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="nombreEvento"><span>Nombre Evento</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="informacion"><span>Informacion</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="lugar"><span>Lugar</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="fechaHora"><span>Fecha Hora</span> <fa-icon icon="sort"></fa-icon></th>
                    <!--<th scope="col"  jhiSortBy="usuarioId"><span>Usuario Id</span> <fa-icon icon="sort"></fa-icon></th>-->
                    <th scope="col"  jhiSortBy="tipoEvento"><span>Tipo Evento</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="cantiadBoletas"><span>Cantiad Boletas</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="categoriaEvento"><span>Categoria Evento</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="precioBoleta"><span>Precio Boleta</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
                <tr *ngFor="let crearEvento of crearEventos ;trackBy: trackId">
                    <td><a [routerLink]="['/crear-evento', crearEvento.id, 'view']">{{ crearEvento.id }}</a></td>
                    <td>{{ crearEvento.nombreEvento }}</td>
                    <td>{{ crearEvento.informacion }}</td>
                    <td>{{ crearEvento.lugar }}</td>
                    <td>{{ crearEvento.fechaHora | date:'medium' }}</td>
                    <!--<td>{{ crearEvento.usuarioId }}</td>-->
                    <td *ngIf="crearEvento.tipoEvento">Privado</td>
                    <td *ngIf="!crearEvento.tipoEvento">Público</td>
                    <td>{{ crearEvento.cantidadBoletas }}</td>
                    <td>{{ crearEvento.categoriaEvento }}</td>
                    <td>{{ crearEvento.precioBoleta }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/crear-evento', crearEvento.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">Ver</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/crear-evento', crearEvento.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Editar</span>
                            </button>

                            <button type="submit" (click)="delete(crearEvento)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Eliminar</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
